import { ProjectionContext } from "./context";
import type { TProjectionContextType } from "./context";
declare const ProjectionContextHooks: {
    useProjectionSubjects: () => {
        addProjectionItem: (projectionItem: import("gabby-query-protocol-projection/dist/ProjectionEditor").TProjectionItemProperties) => string;
        getColumnOrderedProjectionDictionary: () => import("gabby-query-protocol-projection").TProjectionDictionary;
        getProjectableSubjectDictionary: () => import("gabby-query-protocol-projection").IProjectableSubjectDictionary;
        getProjectionOrderByProperty: (propertyName: import("gabby-query-protocol-projection/dist/common/type").TProjectionItemPropertyName) => import("gabby-query-protocol-projection").TProjectionDictionary;
        getProjectedSubject: (projectionId: string) => import("gabby-query-protocol-projection/dist/ProjectionEditor").TProjectionItemProperties;
        makeDefaultProjectionItem: () => import("gabby-query-protocol-projection/dist/ProjectionEditor").TProjectionItemProperties;
        moveToColumnPosition: (projectionKey: string, columnPosition: number) => void;
        normalizeIndexes: () => void;
        projectableSubjects: import("gabby-query-protocol-projection").IProjectableSubjectDictionary;
        projectionAsJson: import("gabby-query-protocol-projection/dist/ProjectionEditor").TProjectionItemProperties[];
        getProjectionAsJson: () => import("gabby-query-protocol-projection/dist/ProjectionEditor").TProjectionItemProperties[];
        removeProjectionItem: (projectionKey: string) => void;
        updateSubjectColumnPosition: (projectionKey: string, newColumnPosition: number) => void;
    };
    useProjectionSubjectProperties: (projectionKey: string) => {
        projectedSubject: import("gabby-query-protocol-projection/dist/ProjectionEditor").TProjectionItemProperties;
        updateProjectionSubject: (updateProps: import("gabby-query-protocol-projection").TProjectionPropertiesUpdatable) => void;
    };
};
export type { TProjectionContextType };
export { ProjectionContextHooks, ProjectionContext };
