import type { TPredicatePropertiesJunction, TPredicateProperties } from "gabby-query-protocol-lib";
export declare const useJunctionProperties: (predicateId: string) => {
    appendPredicate: (newPredicate: TPredicateProperties) => void;
    getChildrenIds: () => string[];
    getPredicateProperties: () => TPredicatePropertiesJunction;
    isBranch: boolean;
    isRoot: boolean;
    makeEmptyPredicate: () => TPredicateProperties;
    operatorLabels: import("../type").TPredicateOperatorLabels;
    removeMe: () => void;
    removePredicateJunction: () => void;
    setConjunction: () => void;
    setDisjunction: () => void;
    getChildIdsOf: (predicateId: string) => string[];
    isBranchNode: boolean;
    getPredicateById: (predicateId: string) => import("gabby-query-protocol-lib/dist/common/type").TPredicateNode | null;
};
