import type { TPredicateOperator, TValueLabelList } from "gabby-query-protocol-lib";
export declare const usePredicateTreeUtilities: () => {
    something: () => void;
    getPredicateTreeAsJson: () => import("gabby-query-protocol-lib/dist/Predicates").TSerializedPredicateTree;
    getSubjectById: (subjectId: string) => import("gabby-query-protocol-lib/dist/PredicateSubjects/type").TPredicateSubjectWithId;
    operatorLabels: import("../type").TPredicateOperatorLabels;
    subjectDictionary: import("gabby-query-protocol-lib").IPredicateSubjectDictionary;
    getSelectOptions: (subjectId: string, operator: TPredicateOperator) => TValueLabelList;
};
