import type { TPredicateFormulaEditorContextType } from "./context";
import { PredicateFormulaEditorContext } from "./context";
declare const PredicateFormulaEditorContextHooks: {
    usePredicateProperties: (nodeId: string) => {
        appendPredicate: (newPredicate: import("gabby-query-protocol-lib/dist/common/type").TPredicateProperties) => void;
        getLeafIdsAll: () => string[];
        getPredicateLeafProperties: () => {
            subjectProperties: import("gabby-query-protocol-lib/dist/PredicateSubjects/type").TPredicateSubjectWithId;
            predicateProperties: import("gabby-query-protocol-lib/dist/common/type").TPredicateProperties | import("gabby-query-protocol-lib/dist/common/type").TPredicatePropertiesArrayValue;
        };
        isRoot: boolean;
        makeEmptyPredicate: () => import("gabby-query-protocol-lib/dist/common/type").TPredicateProperties;
        operatorLabels: import("./type").TPredicateOperatorLabels;
        queryPredicate: import("gabby-query-protocol-lib/dist/common/type").TPredicateProperties;
        removeMe: () => void;
        removeCurrentPredicate: () => void;
        subjectDictionary: import("gabby-query-protocol-lib").IPredicateSubjectDictionary;
        updateMe: (change: import("gabby-query-protocol-lib/dist/common/type").TPredicateProperties | import("gabby-query-protocol-lib/dist/common/type").TPredicatePropertiesArrayValue) => void;
        validatePredicateProperties: (predicateProperties: import("gabby-query-protocol-lib/dist/common/type").TPredicateProperties | import("gabby-query-protocol-lib/dist/common/type").TPredicatePropertiesArrayValue) => import("gabby-query-protocol-lib").TValidatorResponse;
    };
    useJunctionProperties: (predicateId: string) => {
        appendPredicate: (newPredicate: import("gabby-query-protocol-lib/dist/common/type").TPredicateProperties) => void;
        getChildrenIds: () => string[];
        getPredicateProperties: () => import("gabby-query-protocol-lib/dist/common/type").TPredicatePropertiesJunction;
        isBranch: boolean;
        isRoot: boolean;
        makeEmptyPredicate: () => import("gabby-query-protocol-lib/dist/common/type").TPredicateProperties;
        operatorLabels: import("./type").TPredicateOperatorLabels;
        removeMe: () => void;
        removePredicateJunction: () => void;
        setConjunction: () => void;
        setDisjunction: () => void;
        getChildIdsOf: (predicateId: string) => string[];
        isBranchNode: boolean;
        getPredicateById: (predicateId: string) => import("gabby-query-protocol-lib/dist/common/type").TPredicateNode | null;
    };
    usePredicateTreeUtilities: () => {
        something: () => void;
        getPredicateTreeAsJson: () => import("gabby-query-protocol-lib/dist/Predicates").TSerializedPredicateTree;
        getSubjectById: (subjectId: string) => import("gabby-query-protocol-lib/dist/PredicateSubjects/type").TPredicateSubjectWithId;
        operatorLabels: import("./type").TPredicateOperatorLabels;
        subjectDictionary: import("gabby-query-protocol-lib").IPredicateSubjectDictionary;
        getSelectOptions: (subjectId: string, operator: import("gabby-query-protocol-lib/dist/PredicateSubjects/type").TPredicateOperator) => import("gabby-query-protocol-lib/dist/common/type").TValueLabelList;
    };
};
export { PredicateFormulaEditorContextHooks, PredicateFormulaEditorContext };
export type { TPredicateFormulaEditorContextType };
